{% extends 'layout.html' %}
{% load static %}

{% block title %}Schedule{% endblock %}

{% block body %}

	{% include 'navbar.html' %}

	<div id="schedule" class="white-bg-div">
		<div class="content">
			<h3 class="section-title">SCHEDULE</h3>
			<span class="title-divider"></span>
			<div class="flex-center">
				<form action="{% url 'add_schedule' %}" method="POST" id="schedule-form">
					{% csrf_token %}
					{% for field in form %}
						{{ field.errors }}
						<div style="margin: 5px auto 20px">
							{{ field.label_tag }}
							<br>
							{{ field }}
						</div>
					{% endfor %}

					<div class="flex-center">
						<input type="submit" value="Add Schedule" style="margin: 10px 20px;" class="btn">
					</div>
				</form>
			</div>

			<div class="flex-center table-div" style="overflow-x: auto">
				<table>
					<tr>
						<th>Date</th>
						<th>Time</th>
						<th>Category</th>
						<th>Activity Name</th>
						<th>Place</th>
					</tr>

					{% if schedule %}
						{% for activity in schedule %}
							<tr>
								<td>{{ activity.date }}</td>
								<td>{{ activity.time }}</td>
								<td>{{ activity.category }}</td>
								<td>{{ activity.activity_name }}</td>
								<td>{{ activity.place }}</td>
								<td class="col-delete"><a href="{% url 'del_schedule' activity.id %}"><span class="glyphicon glyphicon-trash"></span></a></td>
							</tr>
						{% endfor %}

					{% else %}
						<td colspan="5">No schedule to show</div>
					
					{% endif %}
				</table>
			</div>
		</div>
	</div>

	{% include 'contact.html' %}
		
{% endblock %}